# Class: Md4

## Md4

#### new Md4()

This is internal class.

Source:
  - md4.js, line 132
See:
  - md4.create

### Methods

#### array() → {Array}

Output hash as bytes array

Source:
  - md4.js, line 498
See:
  - md4.array

##### Returns:

Bytes array

Type
  Array

##### Example

    hash.array();

#### arrayBuffer() → {ArrayBuffer}

Output hash as ArrayBuffer

Source:
  - md4.js, line 510
See:
  - md4.arrayBuffer

##### Returns:

ArrayBuffer

Type
  ArrayBuffer

##### Example

    hash.arrayBuffer();

#### buffer() → {ArrayBuffer}

Output hash as ArrayBuffer

Deprecated:
  - This maybe confuse with Buffer in node.js. Please use arrayBuffer instead.
Source:
  - md4.js, line 532
See:
  - md4.buffer

##### Returns:

ArrayBuffer

Type
  ArrayBuffer

##### Example

    hash.buffer();

#### digest() → {Array}

Output hash as bytes array

Source:
  - md4.js, line 476
See:
  - md4.digest

##### Returns:

Bytes array

Type
  Array

##### Example

    hash.digest();

#### hex() → {String}

Output hash as hex string

Source:
  - md4.js, line 431
See:
  - md4.hex

##### Returns:

Hex string

Type
  String

##### Example

    hash.hex();

#### toString() → {String}

Output hash as hex string

Source:
  - md4.js, line 464
See:
  - md4.hex

##### Returns:

Hex string

Type
  String

##### Example

    hash.toString();

#### update(message) → {Md4}

Update hash

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 160
See:
  - md4.update

##### Returns:

MD4 object.

Type
  Md4